## org.apache.xerces.impl.xs.models
Class XSCMUniOp

    java.lang.Object
      |
      +--org.apache.xerces.impl.dtd.models.CMNode
            |
            +--org.apache.xerces.impl.xs.models.XSCMUniOp

public class XSCMUniOp
extends CMNode

Content model Uni-Op node.

Version:
  $$
Author:
  Neil Graham, IBM

Constructor Summary
`XSCMUniOp(int type, CMNode childNode)`

Method Summary
`protected void` `calcFirstPos(CMStateSet toSet)`
`protected void` `calcLastPos(CMStateSet toSet)`
`boolean` `isNullable()`

Methods inherited from class org.apache.xerces.impl.dtd.models.CMNode
`firstPos, lastPos, setMaxStates, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSCMUniOp

    public XSCMUniOp(int type,
                     CMNode childNode)

Method Detail

### isNullable

    public boolean isNullable()

  Overrides:
    `isNullable` in class `CMNode`

### calcFirstPos

    protected void calcFirstPos(CMStateSet toSet)

  Overrides:
    `calcFirstPos` in class `CMNode`

### calcLastPos

    protected void calcLastPos(CMStateSet toSet)

  Overrides:
    `calcLastPos` in class `CMNode`

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.